using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 评价风险记录明细表个体防护措施
    /// </summary>
    [Description("评价风险记录明细表个体防护措施")]
    public class T_HM_EVALUATE_RESULT_RISK_INDIVIDUAL_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 评价风险记录明细表ID
        /// </summary>
        [Description("评价风险记录明细表ID")]
        [DataFieldForeignKey("Nav_EvaluationResultRisk", "Nav_EvaluateRiskIndividualMeasures")]
        public Guid EVALUATION_RESULT_RISK_ID { get; set; }

        /// <summary>
        /// 个体防护措施ID
        /// </summary>
        [Description("个体防护措施")]
        [DataFieldForeignKey("Nav_IndividualMeasures")]
        [FormFieldEdit]
        public Guid INDIVIDUAL_MEASURES_ID { get; set; }

        /// <summary>
        /// 导航属性：评价风险记录明细表
        /// </summary>
        [Description("导航属性：评价风险记录明细表")]
        public T_HM_EVALUATE_RESULT_RISK Nav_EvaluationResultRisk { get; set; }

        /// <summary>
        /// 导航属性：个体防护措施
        /// </summary>
        [Description("导航属性：个体防护措施")]
        public T_HM_INDIVIDUAL_MEASURES Nav_IndividualMeasures { get; set; }
    }
}
